aboutsummaryrefslogtreecommitdiff
path: root/libraries/highway/highway.SlackBuild
diff options
context:
space:
mode:
authorVijay Marcel <vijaymarcel@outlook.com>2024-02-16 22:12:31 +0700
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2024-02-17 08:21:08 +0700
commit2991de98f8e1306f4e198f4a79932a3948ce3900 (patch)
treea2bb57043b5febb73070b2535ff243269724c014 /libraries/highway/highway.SlackBuild
parent3807fcf1fd48d70de798ebd1ec51ccef71ae4ff9 (diff)
libraries/highway: Updated for version 1.0.7.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries/highway/highway.SlackBuild')
-rw-r--r--libraries/highway/highway.SlackBuild11
1 files changed, 4 insertions, 7 deletions
diff --git a/libraries/highway/highway.SlackBuild b/libraries/highway/highway.SlackBuild
index 29b7e969db25..59c578410610 100644
--- a/libraries/highway/highway.SlackBuild
+++ b/libraries/highway/highway.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for highway
-# Copyright 2022-2023 Vijay Marcel
+# Copyright 2022-2024 Vijay Marcel
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,7 +25,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=highway
-VERSION=${VERSION:-1.0.4}
+VERSION=${VERSION:-1.0.7}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -38,9 +38,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -101,11 +98,11 @@ DESTDIR=$PKG cmake --install build
rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ | cut -f 1 -d : | xargs strip --strip-unneeded --remove-section=.comment --remove-section=.note 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a g3doc/* $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a LICENSE README.md CONTRIBUTING $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE LICENSE-BSD3 README.md CONTRIBUTING $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install